# Asterisk Project : Asterisk 12 AGICommand_receive text

Added by wikibot , edited by wikibot on Aug 29, 2013

# RECEIVE TEXT

### Synopsis

Receives text from channels supporting it.

### Description

Receives a string of text on a channel. Most channels do not support the reception of text. Returns `-1` for failure or `1` for success, and the string in parenthesis.

### Syntax

    RECEIVE TEXT TIMEOUT

##### Arguments

- `timeout` - The timeout to be the maximum time to wait for input in milliseconds, or `0` for infinite.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown